# maplibre::platform - Rust
Handles platform specific code. Depending on the compilation target, different parts of this module are used.
Keywords: rust, rustlang, rust-lang, platform

# Module maplibre::platform

source · [−]
Expand description

Handles platform specific code. Depending on the compilation target, different parts of this module are used.

## Modules

http_client

Http client for non-web targets.

noweb

Module which is used target platform is not web related.

schedule_method

Scheduler for non-web targets.

## Constants

COLOR_TEXTURE_FORMAT

For Vulkan/OpenGL

MIN_BUFFER_SIZE

Minimum WebGPU buffer size

## Functions

run_multithreaded